docusign.template-recipients.post-template-recipients ​
Adds one or more recipients to a template.
Adds tabs for a recipient.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
templateid | string | Yes | — | The ID of the template. |
resend_envelope | string | No | — | When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification. Note: Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here. |
agents | list | No | — | A list of agent recipients assigned to the documents. |
authorizedsignatories | list | No | — | — |
carboncopies | list | No | — | A list of carbon copy recipients assigned to the documents. |
certifieddeliveries | list | No | — | A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents. |
currentroutingorder | string | No | — | The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions. |
editors | list | No | — | A list of users who can edit the envelope. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
inpersonsigners | list | No | — | Specifies a signer that is in the same physical location as a Docusign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected. |
intermediaries | list | No | — | Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added). |
notaries | list | No | — | A list of notary recipients on the envelope. |
notarywitnesses | list | No | — | — |
participants | list | No | — | — |
recipientcount | string | No | — | The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with: * recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded. * includeDocuments - When true, the envelope time zone information is included in the message. |
seals | list | No | — | Specifies one or more electronic seals to apply on documents. For more information on Electronic Seals , see https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html |
signers | list | No | — | A list of signers on the envelope. |
witnesses | list | No | — | A list of signers who act as witnesses on the envelope. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
templateid | string | Yes | — | The ID of the template. |
resend_envelope | string | No | — | When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification. Note: Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here. |
agents | list | No | — | A list of agent recipients assigned to the documents. |
authorizedsignatories | list | No | — | — |
carboncopies | list | No | — | A list of carbon copy recipients assigned to the documents. |
certifieddeliveries | list | No | — | A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents. |
currentroutingorder | string | No | — | The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions. |
editors | list | No | — | A list of users who can edit the envelope. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
inpersonsigners | list | No | — | Specifies a signer that is in the same physical location as a Docusign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected. |
intermediaries | list | No | — | Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added). |
notaries | list | No | — | A list of notary recipients on the envelope. |
notarywitnesses | list | No | — | — |
participants | list | No | — | — |
recipientcount | string | No | — | The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with: * recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded. * includeDocuments - When true, the envelope time zone information is included in the message. |
seals | list | No | — | Specifies one or more electronic seals to apply on documents. For more information on Electronic Seals , see https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html |
signers | list | No | — | A list of signers on the envelope. |
witnesses | list | No | — | A list of signers who act as witnesses on the envelope. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /v2.1/accounts/{accountId}/templates/{templateId}/recipients |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.template-recipients.post-template-recipients",
"initial_data": {
"base_url": "value",
"accountid": "value",
"templateid": "value"
}
}